Bug 726895 - Review Request: mingw-harfbuzz - MinGW Windows HarfBuzz library
Summary: Review Request: mingw-harfbuzz - MinGW Windows HarfBuzz library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-30 11:19 UTC by Kalev Lember
Modified: 2012-01-27 18:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-27 18:54:39 UTC


Attachments (Terms of Use)

Description Kalev Lember 2011-07-30 11:19:42 UTC
Spec URL: http://kalev.fedorapeople.org/mingw-harfbuzz.spec
SRPM URL: http://kalev.fedorapeople.org/mingw-harfbuzz-0.6.0-1.fc15.src.rpm
Description:
HarfBuzz is an implementation of the OpenType Layout engine.

This package contains the MinGW Windows cross compiled HarfBuzz library.

Comment 1 Kalev Lember 2011-07-30 11:20:49 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3240006

Comment 2 Erik van Pienbroek 2011-11-30 20:14:51 UTC
Kalev, do you know if this package is intended to be used by pango and/or qt in the future? I think we should try to avoid introducing more dependency bloat in the Gtk and Qt toolchain so we need to be careful with such changes. I would like to prevent introducing fontconfig and freetype as dependencies for the Gtk and Qt toolchain so perhaps we could better eliminate the freetype (and thus fontconfig) as dependency from this package (unless it brings a significant benefit for the win32 target of course). A quick look at the configure.ac file inside this package indicates that freetype (and cairo-ft) are optional.

Comment 3 Kalev Lember 2012-01-27 18:54:39 UTC
Yes, I believe both pango and Qt are eventually supposed to switch to external harfbuzz library, instead of the bundled copy they are currently using. Last year I had the impression that pango was going to make the switch soon, but now it would appear that there isn't much going on in the pango land.

I think I'd now rather wait with importing the new package until we have at least one user. Closing the ticket.


Note You need to log in before you can comment on or make changes to this bug.